Subject: bug#9707: [PATCH] `gnus-thread-hide-subtree' interferes with `gnus-summary-refer-thread'

From: Dave Abrahams <[email-masked]>
Date: Sat, 08 Oct 2011 21:43:37 -0400

For example, I have `gnus-thread-hide-subtree' set to `(not
gnus-article-unread-p)', so that when I enter a summary, only threads
with unread messages are expanded.  When I do `A T' so I can see a whole
thread, if the other articles in the thread are already read, I don't
see any change in my summary buffer, or my thread might collapse.  I
actually need to `T s' (`gnus-summary-show-thread') to see them.

The enclosed patch fixes the problem.

diff --git a/lisp/gnus-sum.el b/lisp/gnus-sum.el
index 207d963..2d2c3be 100644
--- a/lisp/gnus-sum.el
+++ b/lisp/gnus-sum.el
@@ -9032,7 +9032,8 @@ non-numeric or nil fetch the number specified by the
               'gnus-article-sort-by-number)))
       (setq gnus-newsgroup-articles
       	    (gnus-sorted-nunion gnus-newsgroup-articles (nreverse article-ids)))
-      (gnus-summary-limit-include-thread id))))
+      (gnus-summary-limit-include-thread id)))
+  (gnus-summary-show-thread))
 
 (defun gnus-summary-refer-article (message-id)
   "Fetch an article specified by MESSAGE-ID."

No Gnus v0.18
GNU Emacs 23.3.1 (x86_64-apple-darwin10.8.0, Carbon Version 1.6.0 AppKit 1038.36)
 of 2011-09-12 on pluto.luannocracy.com
200 Leafnode NNTP Daemon, version 1.11.8 running at localhost (my fqdn: pluto.boostpro.com)
500 Unknown command

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com